g.region vect=nc_state res=500 -a
v.surf.idw precip_30ynormals col=annual out=vsurfidw --o
v.surf.idw -n precip_30ynormals col=annual out=vsurfidw_noindex --o
v.to.rast precip_30ynormals use=attr col=annual out=precip --o
r.mapcalc "precip_int = int(precip * 100)"
r.surf.idw in=precip_int out=rsurfidw_tmp --o
r.mapcalc "rsurfidw = float(rsurfidw_tmp) / 100"
echo "673491|55508" | v.in.ascii in=- out=test_interpolation --o
v.db.addtable test_interpolation
v.db.addcol test_interpolation col="idw_vect double precision"
v.db.addcol test_interpolation col="idw_vect_noindex double precision"
v.db.addcol test_interpolation col="idw_rast double precision"
v.db.addcol test_interpolation col="owncal double precision"
v.what.rast test_interpolation col=idw_vect rast=vsurfidw
v.what.rast test_interpolation col=idw_vect_noindex rast=vsurfidw_noindex
v.what.rast test_interpolation col=idw_rast rast=rsurfidw
v.db.update test_interpolation column=owncal value=$(v.distance -p -a from=test_interpolation@user1 to=precip_30ynormals@PERMANENT dmax=102000 upload=dist,to_attr to_column=annual column=dist,annual --quiet | tail -n +2 | awk  -F'|' 'BEGIN{sumvals=0;sumweights=0} {weight=1/$3^2;sumweights+=weight; sumvals+=weight*$4} END{print sumvals/sumweights}')
v.db.select test_interpolation
